## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname     yfinance
%global         forgeurl    https://github.com/ranaroussi/%{srcname}
Version:        0.2.54
%global         tag         %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Yahoo! Finance market data downloader

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Ever since Yahoo! finance decommissioned their historical data API, many
programs that relied on it to stop working.

yfinance aims to solve this problem by offering a reliable, threaded,
and Pythonic way to download historical market data from Yahoo! finance.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

# Remove the python shebang from non-executable files.
sed -i '1{\@^#!/usr/bin/env python@d}' yfinance/*.py

# Allow an older version of requests.
sed -i 's/requests>=2.31/requests>=2.28/' requirements.txt setup.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# A sample executable is included but it does not seem to work. It's not needed
# for the package since this is a python library meant to be used by other
# python executables.
rm -vf %{buildroot}%{_bindir}/sample

%pyproject_save_files yfinance


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Feb 18 2025 Packit <hello@packit.dev> - 0.2.54-1
- Update to 0.2.54 upstream release
- Resolves: rhbz#2338748

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 19 2024 Packit <hello@packit.dev> - 0.2.51-1
- Update to 0.2.51 upstream release
- Resolves: rhbz#2333444

* Tue Nov 19 2024 Packit <hello@packit.dev> - 0.2.50-1
- Update to 0.2.50 upstream release
- Resolves: rhbz#2320091

* Mon Sep 30 2024 Packit <hello@packit.dev> - 0.2.44-1
- Update to 0.2.44 upstream release
- Resolves: rhbz#2315778

* Sat Aug 24 2024 Packit <hello@packit.dev> - 0.2.43-1
- Update to 0.2.43 upstream release
- Resolves: rhbz#2307327

* Tue Jul 23 2024 Packit <hello@packit.dev> - 0.2.41-1
- Update to 0.2.41 upstream release
- Resolves: rhbz#2298881

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.40-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2.40-2
- Rebuilt for Python 3.13

* Sun May 19 2024 Packit <hello@packit.dev> - 0.2.40-1
- Update to 0.2.40 upstream release
- Resolves: rhbz#2281528

* Tue Apr 16 2024 Packit <hello@packit.dev> - 0.2.38-1
- Update to 0.2.38 upstream release
- Resolves: rhbz#2275371

* Sun Feb 25 2024 Packit <hello@packit.dev> - 0.2.37-1
- [packit] 0.2.37 upstream release
- Resolves rhbz#2265905

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 23 2024 Packit <hello@packit.dev> - 0.2.36-1
- [packit] 0.2.36 upstream release
- Resolves rhbz#2259443

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Packit <hello@packit.dev> - 0.2.35-1
- [packit] 0.2.35 upstream release
- Resolves rhbz#2257115

* Thu Dec 07 2023 Major Hayden <major@redhat.com> - 0.2.33-2
- Update packit config

* Wed Dec 06 2023 Packit <hello@packit.dev> - 0.2.33-1
- [packit] 0.2.33 upstream release
- Resolves rhbz#2253328

* Sat Nov 18 2023 Packit <hello@packit.dev> - 0.2.32-1
- [packit] 0.2.32 upstream release
- Resolves rhbz#2250426

* Sun Sep 24 2023 Packit <hello@packit.dev> - 0.2.30-1
- [packit] 0.2.30 upstream release

* Fri Sep 22 2023 Packit <hello@packit.dev> - 0.2.29-1
- [packit] 0.2.29 upstream release

* Mon Aug 14 2023 Major Hayden <major@redhat.com> - 0.2.28-1
- Update to 0.2.28

* Mon Aug 14 2023 Major Hayden <major@redhat.com> - 0.2.27-2
- Add packit config

* Thu Aug 03 2023 Major Hayden <major@redhat.com> - 0.2.27-1
- Update to 0.2.27

* Fri Jul 21 2023 Major Hayden <major@redhat.com> - 0.2.26-1
- Update to 0.2.26 rhbz#2224543

* Fri Jul 14 2023 Major Hayden <major@redhat.com> - 0.2.23-1
- Update to 0.2.23 rhbz#2222822

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 0.2.22-1
- Update to 0.2.22 rhbz#2216583

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 0.2.20-2
- Rebuilt for Python 3.12

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 0.2.20-1
- Update to 0.2.20 rhbz#2209950

* Mon Apr 17 2023 Major Hayden <major@redhat.com> - 0.2.18-1
- Update to 0.2.18 rhbz#2187102

* Tue Apr 11 2023 Major Hayden <major@redhat.com> - 0.2.17-1
- Update to 0.2.17 rhbz#2185471

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 0.2.14-1
- Update to 0.2.14 rhbz#2181719

* Wed Mar 22 2023 Major Hayden <major@redhat.com> - 0.2.13-1
- Update to 0.2.13 rhbz#2180606

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 0.2.11-3
- Set SPDX license

* Mon Feb 13 2023 Major Hayden <major@redhat.com> - 0.2.11-2
- Add sources

* Mon Feb 13 2023 Major Hayden <major@redhat.com> - 0.2.11-1
- Update to 0.2.3 rhbz#2153096

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.84-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 26 2022 Major Hayden <major@redhat.com> - 0.1.84-1
- Update to 0.1.84 rhbz#2137699

* Mon Oct 24 2022 Major Hayden <major@redhat.com> - 0.1.81-1
- Update to 0.1.81 rhbz#2137019

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 0.1.79-1
- Update to 0.1.79 rhbz#2135920

* Tue Oct 18 2022 Major Hayden <major@redhat.com> - 0.1.78-1
- Update to 0.1.78 rhbz#2135777

* Fri Oct 07 2022 Major Hayden <major@redhat.com> - 0.1.77-1
- Update to 0.1.77 rhbz#2133102

* Wed Oct 05 2022 Major Hayden <major@redhat.com> - 0.1.75-1
- Update to 0.1.75 rhbz#2131991

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.74-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Major Hayden <major@redhat.com> - 0.1.74-1
- Update to 0.1.734 rhbz#2106168

* Mon Jul 11 2022 Major Hayden <major@redhat.com> - 0.1.73-1
- Update to 0.1.73 rhbz#2105968

* Tue Jun 21 2022 Major Hayden <major@redhat.com> - 0.1.72-1
- Update to 0.1.72

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.1.70-2
- Rebuilt for Python 3.11

* Mon Jan 31 2022 Major Hayden <major@mhtx.net> - 0.1.70-1
- Update to 0.1.70

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 12 2022 Major Hayden <major@mhtx.net> - 0.1.69-1
- Update to 0.1.69

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> - 0.1.68-1
- Update to 0.1.68

* Sun Nov 21 2021 Major Hayden <major@mhtx.net> - 0.1.67-1
- Update to 0.1.67

* Mon Nov 15 2021 Major Hayden <major@mhtx.net> - 0.1.66-1
- Update to 0.1.66

* Wed Oct 20 2021 Major Hayden <major@mhtx.net> - 0.1.64-1
- Update to 0.1.64

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 0.1.63-3
- Move to rpmautospec

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> - 0.1.63-1
- Update to 0.1.63

* Fri Jul 09 2021 Major Hayden <major@mhtx.net> - 0.1.62-1
- Update to 0.1.62

* Thu Jul 08 2021 Major Hayden <major@mhtx.net> - 0.1.61-1
- Update to 0.1.61

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 0.1.60-1
- Update to 0.1.60

* Fri Jun 11 2021 Major Hayden <major@mhtx.net> - 0.1.59-1
- Initial import (#1969441)
## END: Generated by rpmautospec
